/* 
 * File:   Logger.h
 * Author: peter
 *
 * Created on 22. Dezember 2012, 17:50
 */

#ifndef LOGGER_H
#define	LOGGER_H

using namespace std;

class Logger {
public:
    Logger() {
        pFile = fopen ("magdalena-log.txt","a");
        if (pFile==NULL)
            cout << "can't write to log file" << endl;    
    };
    
    virtual ~Logger() {
        if (pFile!=NULL)
            fclose(pFile);
    };
    
    void log(string txt) {
        if (txt.size()>0 && pFile!=NULL) {
            txt.append("\n");
            fputs (txt.data(),pFile);
        }        
    }
private:
    FILE * pFile;
};

#endif	/* LOGGER_H */

