#!/usr/bin/php
<?php

function filter($content) {
	if (strlen($content)==0)
		return 0;
	$content=str_replace("\n","",$content);
	$split=explode(",",$content);
	$won=$split[2];
	$fen=$split[0];
	$fen=explode(" ",$fen);
	$fenwon=$fen[1];
	return ($won==$fenwon);
}

function fetchFile($filename) {
	$handle=fopen($filename,"r");
	$content="";
	while (!feof($handle)) {
		$content=fgets($handle, 8192);
		if (filter($content))
			echo $content;
	}
	fclose($handle);
}

if (sizeof($argv)==1)
  die("no file given.\n");
else {
	$file=$argv[1];
	if (file_exists($file) && is_file($file))
		fetchFile($file);
	else
		die("error, can't open file.\n");
}

?>
