#include <string>
#include <sstream>
#include <cstddef>
#include "Position.h"

using namespace std;

int string2int(string str) {
    char const *c=str.c_str();
    int k=atoi(c);    
    return k;
}

long string2long(string str) {
    char const *c=str.c_str();
    long k=atol(c);    
    return k;    
}

string int2String(int value) {
    string s;
    stringstream out;
    out << value;
    s = out.str();
    return s;
}

string getBoolString(bool value) {
    return (value)?"true":"false";
}

bool figOnPos(long figure, int position) {
    return ((figure & Position::BIN[position]) != 0L);
}

string nicerCmd(string command) {

    while (true) {
        int pos = command.find("\n");
        if (pos>=0) command=command.substr(0,pos)+" "+command.substr(pos+1);
        else break;
    }    
    
    while (true) {
        int pos = command.find("\\n");
        if (pos>=0) command=command.substr(0,pos)+command.substr(pos+2);
        else break;
    }

    while (true) {
        int pos = command.find("\t");
        if (pos>=0) command=command.substr(0,pos)+" "+command.substr(pos+1);
        else break;
    }    
    
    while (true) {
        int pos = command.find("\\t");
        if (pos>=0) command=command.substr(0,pos)+command.substr(pos+2);
        else break;
    }    
    
    while (true) {
        int pos = command.find("  ");
        if (pos>=0) command=command.substr(0,pos)+command.substr(pos+1);
        else break;
    }            
    
    return command;
}