/* 
 * File:   globals.h
 * Author: peter
 *
 * Created on 06. Dezember 2012, 13:27
 */

#ifndef GLOBALS_H
#define	GLOBALS_H

using namespace std;

int string2int(string str);
long string2long(string str);
string int2String(int value);
string double2String(double value);
string getBoolString(bool value);
bool figOnPos(long figure, int position);
string nicerCmd(string command);

#include "HashT.h"
#include "MoveList.h"
#include "Timer.h"
#include "Logger.h"
#include "Evalstat.h"

extern HashT hashTable;
extern MoveList moveList;
extern Timer timer;
extern Logger logger;
extern Evalstat evalstat;


#endif	/* GLOBALS_H */

