#!/usr/bin/php
<?php
$stats=array();
for ($i=0;$i<256;$i++) {
	$stats[$i]=array();
	for ($k=0;$k<256;$k++)
		$stats[$i][]=0;
}

// $hashcodes=array();

function fetchFen($line) {
	$lineArray=explode(",",$line);
	$fen=$lineArray[0];
	return $fen;
}

function fetchMove($line) {
	$lineArray=explode(",",$line);
	$move=$lineArray[1];
	return $move;
}

function comm($fen,$move) {
	global $stats;
	global $pipes;
	global $hashcodes;
	$cmd="gethash ".$fen.",".$move;
	fputs($pipes[0], $cmd."\n");
	$ans=fgets($pipes[1]);
//	echo $ans;
	$ans=str_replace("\n","",$ans);
	$ans=explode("|",$ans);
//	echo $ans[1]. "\t".$ans[4]."\n";

//	$hash=$ans[0];
	$hashcode=$ans[1];
	$moveHash=$ans[4];

	$stats[$hashcode][$moveHash]++;
//	print_r($stats);

/*
	if (!in_array($hashcode,$hashcodes)) {
		$hashcodes[]=$hashcode;
		echo sizeof($hashcodes) . " " . $ans[1]."\n";
	}
*/
}

function fetchFile($filename) {

	$handle=fopen($filename,"r");
	while (!feof($handle)) {
		$line= fgets($handle, 8192);
		if (strlen($line)>0) {
			$fen=fetchFen($line);
			$move=fetchMove($line);
			comm($fen,$move);
		}
	}
	fclose($handle);
}


$descriptorspec = array(
   0 => array("pipe", "r"),  // stdin
   1 => array("pipe", "w"),  // stdout
   2 => array("file", "/tmp/error-output.txt", "a") // stderr
);

$cwd = '/tmp';
$process = proc_open('/home/peter/ChessPraktikum/madlenka silent', $descriptorspec, $pipes, $cwd, null);

// $file="fenmoves_uniq.csv";
// $file="fenmoves_good.csv";
$file=$argv[1];


if (file_exists($file) && is_file($file)) {
	fetchFile($file);
}

fputs($pipes[0], "quit\n");
fclose($pipes[0]);
fclose($pipes[1]); 

$return_value = proc_close($process);

for ($i=0;$i<sizeof($stats);$i++) {
	for ($k=0;$k<sizeof($stats[$i]);$k++)
		echo $stats[$i][$k].";";
	echo "\n";
}

?>
